Subject: problem installing GAMESS (US) on SPARC workstation

From: James Kirkpatrick <james.kirkpatrick >< imperial.ac.uk>
Date: Thu, 07 Jul 2005 16:08:33 +0100

Good day CCLers!

I am currently trying to install GAMESS on one of my group's workstations.

The previous computer administrator compiled the source code, I am left 
with the job of acutally making it function. If this list is not 
appropriate to the discussion of this type of problem, can anyone point 
me to someone who could help?

I have modified the rungms script, to ensure that all environement 
variables are correctly set etc.

I had a problem with lack of semaphores, upon reading the ddi 
documentation I learnt that the problem was that SPARCs are set with too 
low number of sempahore, I corrected this by adding the recomended lines 
to /etc/system.

I will first give some information on the system which I hope is 
relevant, then give a print out of the input and of the output. I hope 
there is someone out there who has installed the program on similar 
systems, has had similar problems and will be able to tell me what's wrong!

running these commands:

/usr/sbin/sysdef -i | grep SHMMAX
/usr/sbin/sysdef -i | grep SEM

I receive the following answers now:

128        semaphore identifiers (SEMMNI)
 128  semaphores in system (SEMMNS)
  30  undo structures in system (SEMMNU)
 25  max semaphores per id (SEMMSL)
  10  max operations per semop call (SEMOPM)
  10  max undo entries per process (SEMUME)
32767  semaphore maximum value (SEMVMX)
16384  adjust on exit max value (SEMAEM)

and:

*
* IPC Shared Memory
*
 536870912      max shared memory segment size (SHMMAX)
     1  min shared memory segment size (SHMMIN)
   100  shared memory identifiers (SHMMNI)
     6  max attached shm segments per process (SHMSEG)

If I look at the active semaphores, by running ipcs -i and see the 
following information:

IPC status from <running system> as of Thu Jul  7 14:57:43 bst 2005
T         ID      KEY        MODE        OWNER    GROUP
Semaphores:
s          1   0          --ra-------     root    other
s          2   0          --ra-------     root    other
s          3   0          --ra-------     root    other
s          4   0          --ra-------     root    other
s          5   0          --ra-------     root    other
s          6   0          --ra-------     root    other
s          7   0          --ra-------     root    other
s          8   0          --ra-------     root    other

The system type is:

SunOS exss-blade1.sc.ic.ac.uk 5.8 Generic_117350-25 sun4u sparc 
SUNW,Sun-Blade-1000

The input I am trying to run is exam01.inp from the tests suite. I paste 
the input/output at the end of this mail

Once again I receive the same error message

... DONE SETTING UP THE RUN ..... DDI Process 0: semget return an error.
semget errno=ENOSPC -- check system limit for sysv semaphores. A fatal 
error occurr on DDI Process 0.
ddikick.x: application process 0 quit unexpectedly.
ddikick.x: Fatal error detected.

Does anyone know what this is about?

Thanks very much for your help

James Kirkpatrick

-- 
James Kirkpatrick

-------------------------------------------
Centre for Electronic Materials and devices
Imperial College
-------------------------------------------

020 759 47519

------------------------------------------------------------------------

! EXAM01.
!    1-A-1 CH2    RHF geometry optimization using GAMESS.
!
!    Although internal coordinates are used (COORD=ZMAT),
!    the optimization is done in Cartesian space (NZVAR=0).
!    This run uses a criterion (OPTTOL) on the gradient
!    which is tighter than is normally used.
!
!    This job tests the sp integral module, the RHF module,
!    and the geometry optimization module.
!
!    Using the default search METHOD=STANDARD,
!    FINAL E= -37.2322678015, 8 iters, RMS grad= .0264308
!    FINAL E= -37.2308175306, 7 iters, RMS grad= .0320881
!    FINAL E= -37.2375723427, 7 iters, RMS grad= .0056557
!    FINAL E= -37.2379944433, 6 iters, RMS grad= .0017901
!    FINAL E= -37.2380387836, 8 iters, RMS grad= .0003391
!    FINAL E= -37.2380397697, 6 iters, RMS grad= .0000030
!
$CONTRL SCFTYP=RHF RUNTYP=OPTIMIZE COORD=ZMT NZVAR=0 $END
$SYSTEM TIMLIM=2 MEMORY=10000 $END
$STATPT OPTTOL=1.0E-5  $END
$BASIS  GBASIS=STO NGAUSS=2 $END
$GUESS  GUESS=HUCKEL $END
$DATA
Methylene...1-A-1 state...RHF/STO-2G
Cnv  2

C
H  1 rCH
H  1 rCH  2 aHCH

rCH=1.09
aHCH=110.0
$END

------------------------------------------------------------------------

----- GAMESS execution script -----
This job is running on host exss-blade1.sc.ic.ac.uk
under operating system SunOS at Thu Jul 7 14:54:38 bst 2005
Available scratch disk space (Kbyte units) at beginning of the job is
Filesystem           1024-blocks        Used   Available Capacity  
Mounted on
/dev/dsk/c1t1d0s0       14687719    11328232     3212610    78%    /
cp tests/exam01.inp /home/sc00/bugs/scr/tests/exam01.F05
unset echo
setenv ERICFMT ~bugs/gamess/ericfmt.dat
setenv EXTBAS /dev/null
setenv IRCDATA /home/sc00/bugs/scr/tests/exam01.irc
setenv INPUT /home/sc00/bugs/scr/tests/exam01.F05
setenv PUNCH /home/sc00/bugs/scr/tests/exam01.dat
setenv AOINTS /home/sc00/bugs/scr/tests/exam01.F08
setenv MOINTS /home/sc00/bugs/scr/tests/exam01.F09
setenv DICTNRY /home/sc00/bugs/scr/tests/exam01.F10
setenv DRTFILE /home/sc00/bugs/scr/tests/exam01.F11
setenv CIVECTR /home/sc00/bugs/scr/tests/exam01.F12
setenv CASINTS /home/sc00/bugs/scr/tests/exam01.F13
setenv CIINTS /home/sc00/bugs/scr/tests/exam01.F14
setenv WORK15 /home/sc00/bugs/scr/tests/exam01.F15
setenv WORK16 /home/sc00/bugs/scr/tests/exam01.F16
setenv CSFSAVE /home/sc00/bugs/scr/tests/exam01.F17
setenv FOCKDER /home/sc00/bugs/scr/tests/exam01.F18
setenv WORK19 /home/sc00/bugs/scr/tests/exam01.F19
setenv DASORT /home/sc00/bugs/scr/tests/exam01.F20
setenv DFTINTS /home/sc00/bugs/scr/tests/exam01.F21
setenv DFTGRID /home/sc00/bugs/scr/tests/exam01.F22
setenv JKFILE /home/sc00/bugs/scr/tests/exam01.F23
setenv ORDINT /home/sc00/bugs/scr/tests/exam01.F24
setenv EFPIND /home/sc00/bugs/scr/tests/exam01.F25
setenv PCMDATA /home/sc00/bugs/scr/tests/exam01.F26
setenv PCMINTS /home/sc00/bugs/scr/tests/exam01.F27
setenv MLTPL /home/sc00/bugs/scr/tests/exam01.F28
setenv MLTPLT /home/sc00/bugs/scr/tests/exam01.F29
setenv DAFL30 /home/sc00/bugs/scr/tests/exam01.F30
setenv SOINTX /home/sc00/bugs/scr/tests/exam01.F31
setenv SOINTY /home/sc00/bugs/scr/tests/exam01.F32
setenv SOINTZ /home/sc00/bugs/scr/tests/exam01.F33
setenv SORESC /home/sc00/bugs/scr/tests/exam01.F34
setenv SIMEN /home/sc00/bugs/scr/tests/exam01.simen
setenv SIMCOR /home/sc00/bugs/scr/tests/exam01.simcor
setenv GCILIST /home/sc00/bugs/scr/tests/exam01.F37
setenv HESSIAN /home/sc00/bugs/scr/tests/exam01.F38
setenv SOCCDAT /home/sc00/bugs/scr/tests/exam01.F40
setenv AABB41 /home/sc00/bugs/scr/tests/exam01.F41
setenv BBAA42 /home/sc00/bugs/scr/tests/exam01.F42
setenv BBBB43 /home/sc00/bugs/scr/tests/exam01.F43
setenv MCQD50 /home/sc00/bugs/scr/tests/exam01.F50
setenv MCQD51 /home/sc00/bugs/scr/tests/exam01.F51
setenv MCQD52 /home/sc00/bugs/scr/tests/exam01.F52
setenv MCQD53 /home/sc00/bugs/scr/tests/exam01.F53
setenv MCQD54 /home/sc00/bugs/scr/tests/exam01.F54
setenv MCQD55 /home/sc00/bugs/scr/tests/exam01.F55
setenv MCQD56 /home/sc00/bugs/scr/tests/exam01.F56
setenv MCQD57 /home/sc00/bugs/scr/tests/exam01.F57
setenv MCQD58 /home/sc00/bugs/scr/tests/exam01.F58
setenv MCQD59 /home/sc00/bugs/scr/tests/exam01.F59
setenv MCQD60 /home/sc00/bugs/scr/tests/exam01.F60
setenv MCQD61 /home/sc00/bugs/scr/tests/exam01.F61
setenv MCQD62 /home/sc00/bugs/scr/tests/exam01.F62
setenv MCQD63 /home/sc00/bugs/scr/tests/exam01.F63
setenv MCQD64 /home/sc00/bugs/scr/tests/exam01.F64
setenv NMRINT1 /home/sc00/bugs/scr/tests/exam01.F61
setenv NMRINT2 /home/sc00/bugs/scr/tests/exam01.F62
setenv NMRINT3 /home/sc00/bugs/scr/tests/exam01.F63
setenv NMRINT4 /home/sc00/bugs/scr/tests/exam01.F64
setenv NMRINT5 /home/sc00/bugs/scr/tests/exam01.F65
setenv NMRINT6 /home/sc00/bugs/scr/tests/exam01.F66
setenv DCPHFH2 /home/sc00/bugs/scr/tests/exam01.F67
setenv DCPHF21 /home/sc00/bugs/scr/tests/exam01.F68
setenv GVVPT /home/sc00/bugs/scr/tests/exam01.F69
unset echo
Entering Serial Mode
The generated host list is
exss-blade1.sc.ic.ac.uk
/home/sc00/bugs/gamess/ddikick.x /home/sc00/bugs/gamess/gamess.01.x 
tests/exam01 -ddi 1 1 exss-blade1.sc.ic.ac.uk -scr /home/sc00/bugs/scr

Distributed Data Interface kickoff program.
Initiating 1 compute processes on 1 nodes to run the following command:
/home/sc00/bugs/gamess/gamess.01.x tests/exam01
         ******************************************************
         *         GAMESS VERSION = 22 NOV 2004 (R1)          *
         *             FROM IOWA STATE UNIVERSITY             *
         * M.W.SCHMIDT, K.K.BALDRIDGE, J.A.BOATZ, S.T.ELBERT, *
         *   M.S.GORDON, J.H.JENSEN, S.KOSEKI, N.MATSUNAGA,   *
         *          K.A.NGUYEN, S.J.SU, T.L.WINDUS,           *
         *       TOGETHER WITH M.DUPUIS, J.A.MONTGOMERY       *
         *         J.COMPUT.CHEM.  14, 1347-1363(1993)        *
         ************ SUN MICROSYSTEMS INC. VERSION ***********

    SINCE 1993, STUDENTS AND POSTDOCS WORKING AT IOWA STATE UNIVERSITY
    AND ALSO IN THEIR VARIOUS JOBS AFTER LEAVING ISU HAVE MADE IMPORTANT
    CONTRIBUTIONS TO THE CODE:
    IVANA ADAMOVIC, CHRISTINE AIKENS, ROB BELL, PRADIPTA BANDYOPADHYAY,
    BRETT BODE, GALINA CHABAN, WEI CHEN, CHEOL HO CHOI, PAUL DAY,
    TIM DUDLEY, DMITRI FEDOROV, GRAHAM FLETCHER, MARK FREITAG,
    KURT GLAESEMANN, GRANT MERRILL, HEATHER NETZLOFF, RYAN OLSON,
    MIKE PAK, JIM SHOEMAKER, TETSUYA TAKETSUGU, SIMON WEBB.

    ADDITIONAL CODE HAS BEEN PROVIDED BY COLLABORATORS IN OTHER GROUPS:
    IOWA STATE UNIVERSITY: JOE IVANIC, KLAUS RUEDENBERG
    UNIVERSITY OF TOKYO: KIMIHIKO HIRAO, HARUYUKI NAKANO, TAKAHITO
         NAKAJIMA, TAKAO TSUNEDA, MUNEAKI KAMIYA, SUSUMU YANAGISAWA,
         KIYOSHI YAGI
    ODENSE UNIVERSITY: FRANK JENSEN
    UNIVERSITY OF IOWA: VISVALDAS KAIRYS, HUI LI
    NATIONAL INST. OF STANDARDS AND TECHNOLOGY: WALT STEVENS, DAVID GARMER
    UNIVERSITY OF PISA: BENEDETTA MENNUCCI, JACOPO TOMASI
    UNIVERSITY OF MEMPHIS: HENRY KURTZ, PRAKASHAN KORAMBATH
    UNIVERSITY OF ALBERTA: MARIUSZ KLOBUKOWSKI
    UNIVERSITY OF NEW ENGLAND: MARK SPACKMAN
    MIE UNIVERSITY: HIROAKI UMEDA
    MICHIGAN STATE UNIVERSITY: KAROL KOWALSKI, PIOTR PIECUCH
    UNIVERSITY OF SILESIA: MONIKA MUSIAL, STANISLAW KUCHARSKI
    FACULTES UNIVERSITAIRES NOTRE-DAME DE LA PAIX:
         OLIVIER QUINET, BENOIT CHAMPAGNE
    UNIVERSITY OF CALIFORNIA - SANTA BARBARA: BERNARD KIRTMAN
    INSTITUTE FOR MOLECULAR SCIENCE: KAZUYA ISHIMURA AND SHIGERU NAGASE

EXECUTION OF GAMESS BEGUN Thu Jul  7 14:54:38 2005

           ECHO OF THE FIRST FEW INPUT CARDS -
INPUT CARD>! 
EXAM01.                                                                       
INPUT CARD>!    1-A-1 CH2    RHF geometry optimization using 
GAMESS.                       INPUT 
CARD>!                                                                               
INPUT CARD>!    Although internal coordinates are used 
(COORD=ZMAT),                       INPUT CARD>!    the optimization is 
done in Cartesian space (NZVAR=0).                     INPUT CARD>!    
This run uses a criterion (OPTTOL) on the 
gradient                         INPUT CARD>!    which is tighter than 
is normally used.                                    INPUT 
CARD>!                                                                               
INPUT CARD>!    This job tests the sp integral module, the RHF 
module,                     INPUT CARD>!    and the geometry 
optimization module.                                      INPUT 
CARD>!                                                                               
INPUT CARD>!    Using the default search 
METHOD=STANDARD,                                  INPUT CARD>!    FINAL 
E= -37.2322678015, 8 iters, RMS grad= .0264308                       
INPUT CARD>!    FINAL E= -37.2308175306, 7 iters, RMS grad= 
.0320881                       INPUT CARD>!    FINAL E= -37.2375723427, 
7 iters, RMS grad= .0056557                       INPUT CARD>!    FINAL 
E= -37.2379944433, 6 iters, RMS grad= .0017901                       
INPUT CARD>!    FINAL E= -37.2380387836, 8 iters, RMS grad= 
.0003391                       INPUT CARD>!    FINAL E= -37.2380397697, 
6 iters, RMS grad= .0000030                       INPUT 
CARD>!                                                                               
INPUT CARD> $CONTRL SCFTYP=RHF RUNTYP=OPTIMIZE COORD=ZMT NZVAR=0 
$END                      INPUT CARD> $SYSTEM TIMLIM=2 MEMORY=10000 
$END                                             INPUT CARD> $STATPT 
OPTTOL=1.0E-5  $END                                                    
INPUT CARD> $BASIS  GBASIS=STO NGAUSS=2 
$END                                               INPUT CARD> $GUESS  
GUESS=HUCKEL $END                                                      
INPUT CARD> 
$DATA                                                                          
INPUT CARD>Methylene...1-A-1 
state...RHF/STO-2G                                            INPUT 
CARD>Cnv  
2                                                                          
INPUT 
CARD>                                                                                
INPUT 
CARD>C                                                                               
INPUT CARD>H  1 
rCH                                                                        
INPUT CARD>H  1 rCH  2 
aHCH                                                                
INPUT 
CARD>                                                                                
INPUT 
CARD>rCH=1.09                                                                        
INPUT 
CARD>aHCH=110.0                                                                      
INPUT CARD> 
$END                                                                           

..... DONE SETTING UP THE RUN .....
DDI Process 0: semget return an error.
semget errno=ENOSPC -- check system limit for sysv semaphores.
A fatal error occurr on DDI Process 0.
ddikick.x: application process 0 quit unexpectedly.
ddikick.x: Fatal error detected.
The error is most likely to be in the application, so check for
input errors, disk space, memory needs, application bugs, etc.
ddikick.x will now clean up all processes, and exit...
ddikick.x: Sending kill signal to DDI processes.
ddikick.x: Execution terminated due to error(s).
unset echo
----- accounting info -----
Thu Jul  7 14:54:39 bst 2005
Files used on the master node exss-blade1.sc.ic.ac.uk were:
-rw-r--r--   1 root     other       1085 Jul  7 14:54 
/home/sc00/bugs/scr/tests/exam01.F05
-rw-r--r--   1 root     other          0 Jul  7 14:54 
/home/sc00/bugs/scr/tests/exam01.dat

0.0u 0.0s 0:01 0% 0+0k 0+0io 0pf

-- 
James Kirkpatrick

-------------------------------------------
Centre for Electronic Materials and devices
Imperial College
-------------------------------------------

020 759 47519